------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]道士剧情1
--Creator:		洪聪敏
--Created:		2021-11-12
------------------------------------------------------------------------------------
-- 设置摄像机指向位置(网格坐标)
--/callluafunc </F>User_PlayPlot</N>302
--/reloadlua Script/zhongqiu2-1.lua

CppScriptMgr:SetViewPosByCell(122,186)
------------------------------------------------------------------------------------
local Player_1=CppScriptMgr:AddSimplePlayer(1055850,119,189,"QueenMotherOfTheWest",0,0)
Player_1:SetZoomPercent(150)
Player_1:AddEffect("zero8160",33)
Player_1:SetDir(6)
local Player_2=CppScriptMgr:AddSimplePlayer(1055830,126,193,"HouYi",0,0)
Player_2:SetZoomPercent(150)
Player_2:SetDir(2)
local Player_3=CppScriptMgr:AddSimplePlayer(1055840,126,189,"Chang`e",0,0)
Player_3:SetZoomPercent(150)
Player_3:SetDir(2)
local Player_4=CppScriptMgr:AddSimplePlayer(1065650,131,191,"PangMeng",0,0)
Player_4:SetZoomPercent(150)
Player_4:SetDir(2)
CppScriptMgr:WaitMilSec(500)
Player_1:SetAction(101)
Player_1:Say("Hou Yishion is credited with shooting the suns. The Immortality Pill is the reward for you.",2000)
CppScriptMgr:NpcCallOut("Hou Yishion is credited with shooting the suns. The Immortality Pill is the reward for you.",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQWm",150,430,"QueenMotherOfTheWest",250,655)
CppScriptMgr:WaitMilSec(2000)
Player_2:SetAction(200)
Player_3:SetAction(200)
Player_4:SetAction(200)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Thanks a million!",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQHy",150,430,"HouYi",250,655)
Player_2:Say("Thanks a million!",1500)
CppScriptMgr:WaitMilSec(1000)
Player_2:AddEffect("QL_YiShan",33)
Player_3:AddEffect("QL_YiShan",33)
Player_4:AddEffect("QL_YiShan",33)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(2000)
